<?php



$tdataassegnatohistorico = array();
$tdataassegnatohistorico[".searchableFields"] = array();
$tdataassegnatohistorico[".ShortName"] = "assegnatohistorico";
$tdataassegnatohistorico[".OwnerID"] = "";
$tdataassegnatohistorico[".OriginalTable"] = "AssegnatoHistorico";


$tdataassegnatohistorico[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataassegnatohistorico[".originalPagesByType"] = $tdataassegnatohistorico[".pagesByType"];
$tdataassegnatohistorico[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataassegnatohistorico[".originalPages"] = $tdataassegnatohistorico[".pages"];
$tdataassegnatohistorico[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataassegnatohistorico[".originalDefaultPages"] = $tdataassegnatohistorico[".defaultPages"];

//	field labels
$fieldLabelsassegnatohistorico = array();
$fieldToolTipsassegnatohistorico = array();
$pageTitlesassegnatohistorico = array();
$placeHoldersassegnatohistorico = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"] = array();
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"] = array();
	$placeHoldersassegnatohistorico["Portuguese(Standard)"] = array();
	$pageTitlesassegnatohistorico["Portuguese(Standard)"] = array();
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["MARZA"] = "MARZA";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["MARZA"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["MARZA"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale1"] = "Totale1";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale1"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale1"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale2"] = "Totale2";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale2"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale2"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale3"] = "Totale3";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale3"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale3"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale4"] = "Totale4";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale4"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale4"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale5"] = "Totale5";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale5"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale5"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale6"] = "Totale6";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale6"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale6"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale7"] = "Totale7";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale7"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale7"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale8"] = "Totale8";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale8"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale8"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale9"] = "Totale9";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale9"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale9"] = "";
	$fieldLabelsassegnatohistorico["Portuguese(Standard)"]["Totale10"] = "Totale10";
	$fieldToolTipsassegnatohistorico["Portuguese(Standard)"]["Totale10"] = "";
	$placeHoldersassegnatohistorico["Portuguese(Standard)"]["Totale10"] = "";
	if (count($fieldToolTipsassegnatohistorico["Portuguese(Standard)"]))
		$tdataassegnatohistorico[".isUseToolTips"] = true;
}


	$tdataassegnatohistorico[".NCSearch"] = true;



$tdataassegnatohistorico[".shortTableName"] = "assegnatohistorico";
$tdataassegnatohistorico[".nSecOptions"] = 0;

$tdataassegnatohistorico[".mainTableOwnerID"] = "";
$tdataassegnatohistorico[".entityType"] = 0;

$tdataassegnatohistorico[".strOriginalTableName"] = "AssegnatoHistorico";

	



$tdataassegnatohistorico[".showAddInPopup"] = false;

$tdataassegnatohistorico[".showEditInPopup"] = false;

$tdataassegnatohistorico[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataassegnatohistorico[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataassegnatohistorico[".listAjax"] = false;
//	temporary
$tdataassegnatohistorico[".listAjax"] = false;

	$tdataassegnatohistorico[".audit"] = false;

	$tdataassegnatohistorico[".locking"] = false;


$pages = $tdataassegnatohistorico[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataassegnatohistorico[".edit"] = true;
	$tdataassegnatohistorico[".afterEditAction"] = 1;
	$tdataassegnatohistorico[".closePopupAfterEdit"] = 1;
	$tdataassegnatohistorico[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataassegnatohistorico[".add"] = true;
$tdataassegnatohistorico[".afterAddAction"] = 1;
$tdataassegnatohistorico[".closePopupAfterAdd"] = 1;
$tdataassegnatohistorico[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataassegnatohistorico[".list"] = true;
}



$tdataassegnatohistorico[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataassegnatohistorico[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataassegnatohistorico[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataassegnatohistorico[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataassegnatohistorico[".printFriendly"] = true;
}



$tdataassegnatohistorico[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataassegnatohistorico[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataassegnatohistorico[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataassegnatohistorico[".isUseAjaxSuggest"] = true;

$tdataassegnatohistorico[".rowHighlite"] = true;



			

$tdataassegnatohistorico[".ajaxCodeSnippetAdded"] = false;

$tdataassegnatohistorico[".buttonsAdded"] = false;

$tdataassegnatohistorico[".addPageEvents"] = false;

// use timepicker for search panel
$tdataassegnatohistorico[".isUseTimeForSearch"] = false;


$tdataassegnatohistorico[".badgeColor"] = "E67349";


$tdataassegnatohistorico[".allSearchFields"] = array();
$tdataassegnatohistorico[".filterFields"] = array();
$tdataassegnatohistorico[".requiredSearchFields"] = array();

$tdataassegnatohistorico[".googleLikeFields"] = array();
$tdataassegnatohistorico[".googleLikeFields"][] = "MARZA";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale1";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale2";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale3";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale4";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale5";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale6";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale7";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale8";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale9";
$tdataassegnatohistorico[".googleLikeFields"][] = "Totale10";



$tdataassegnatohistorico[".tableType"] = "list";

$tdataassegnatohistorico[".printerPageOrientation"] = 0;
$tdataassegnatohistorico[".nPrinterPageScale"] = 100;

$tdataassegnatohistorico[".nPrinterSplitRecords"] = 40;

$tdataassegnatohistorico[".geocodingEnabled"] = false;










$tdataassegnatohistorico[".pageSize"] = 999;

$tdataassegnatohistorico[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataassegnatohistorico[".strOrderBy"] = $tstrOrderBy;

$tdataassegnatohistorico[".orderindexes"] = array();

$tdataassegnatohistorico[".sqlHead"] = "SELECT MARZA,  	Totale1,  	Totale2,  	Totale3,  	Totale4,  	Totale5,  	Totale6,  	Totale7,  	Totale8,  	Totale9,  	Totale10";
$tdataassegnatohistorico[".sqlFrom"] = "FROM AssegnatoHistorico";
$tdataassegnatohistorico[".sqlWhereExpr"] = "";
$tdataassegnatohistorico[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataassegnatohistorico[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataassegnatohistorico[".arrGroupsPerPage"] = $arrGPP;

$tdataassegnatohistorico[".highlightSearchResults"] = true;

$tableKeysassegnatohistorico = array();
$tableKeysassegnatohistorico[] = "MARZA";
$tdataassegnatohistorico[".Keys"] = $tableKeysassegnatohistorico;


$tdataassegnatohistorico[".hideMobileList"] = array();




//	MARZA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "MARZA";
	$fdata["GoodName"] = "MARZA";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","MARZA");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "MARZA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "MARZA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["MARZA"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "MARZA";
//	Totale1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Totale1";
	$fdata["GoodName"] = "Totale1";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale1");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale1"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale1";
//	Totale2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Totale2";
	$fdata["GoodName"] = "Totale2";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale2");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale2";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale2"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale2";
//	Totale3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Totale3";
	$fdata["GoodName"] = "Totale3";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale3");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale3";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale3"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale3";
//	Totale4
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Totale4";
	$fdata["GoodName"] = "Totale4";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale4");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale4";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale4";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale4"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale4";
//	Totale5
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Totale5";
	$fdata["GoodName"] = "Totale5";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale5");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale5";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale5";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale5"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale5";
//	Totale6
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Totale6";
	$fdata["GoodName"] = "Totale6";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale6");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale6";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale6";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale6"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale6";
//	Totale7
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Totale7";
	$fdata["GoodName"] = "Totale7";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale7");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale7";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale7";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale7"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale7";
//	Totale8
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Totale8";
	$fdata["GoodName"] = "Totale8";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale8");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale8";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale8";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale8"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale8";
//	Totale9
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "Totale9";
	$fdata["GoodName"] = "Totale9";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale9");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale9";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale9";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale9"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale9";
//	Totale10
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "Totale10";
	$fdata["GoodName"] = "Totale10";
	$fdata["ownerTable"] = "AssegnatoHistorico";
	$fdata["Label"] = GetFieldLabel("AssegnatoHistorico","Totale10");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Totale10";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Totale10";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataassegnatohistorico["Totale10"] = $fdata;
		$tdataassegnatohistorico[".searchableFields"][] = "Totale10";


$tables_data["AssegnatoHistorico"]=&$tdataassegnatohistorico;
$field_labels["AssegnatoHistorico"] = &$fieldLabelsassegnatohistorico;
$fieldToolTips["AssegnatoHistorico"] = &$fieldToolTipsassegnatohistorico;
$placeHolders["AssegnatoHistorico"] = &$placeHoldersassegnatohistorico;
$page_titles["AssegnatoHistorico"] = &$pageTitlesassegnatohistorico;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["AssegnatoHistorico"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["AssegnatoHistorico"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_assegnatohistorico()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "MARZA,  	Totale1,  	Totale2,  	Totale3,  	Totale4,  	Totale5,  	Totale6,  	Totale7,  	Totale8,  	Totale9,  	Totale10";
$proto0["m_strFrom"] = "FROM AssegnatoHistorico";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "MARZA",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto6["m_sql"] = "MARZA";
$proto6["m_srcTableName"] = "AssegnatoHistorico";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale1",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto8["m_sql"] = "Totale1";
$proto8["m_srcTableName"] = "AssegnatoHistorico";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale2",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto10["m_sql"] = "Totale2";
$proto10["m_srcTableName"] = "AssegnatoHistorico";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale3",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto12["m_sql"] = "Totale3";
$proto12["m_srcTableName"] = "AssegnatoHistorico";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale4",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto14["m_sql"] = "Totale4";
$proto14["m_srcTableName"] = "AssegnatoHistorico";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale5",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto16["m_sql"] = "Totale5";
$proto16["m_srcTableName"] = "AssegnatoHistorico";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale6",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto18["m_sql"] = "Totale6";
$proto18["m_srcTableName"] = "AssegnatoHistorico";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale7",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto20["m_sql"] = "Totale7";
$proto20["m_srcTableName"] = "AssegnatoHistorico";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale8",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto22["m_sql"] = "Totale8";
$proto22["m_srcTableName"] = "AssegnatoHistorico";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale9",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto24["m_sql"] = "Totale9";
$proto24["m_srcTableName"] = "AssegnatoHistorico";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale10",
	"m_strTable" => "AssegnatoHistorico",
	"m_srcTableName" => "AssegnatoHistorico"
));

$proto26["m_sql"] = "Totale10";
$proto26["m_srcTableName"] = "AssegnatoHistorico";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto28=array();
$proto28["m_link"] = "SQLL_MAIN";
			$proto29=array();
$proto29["m_strName"] = "AssegnatoHistorico";
$proto29["m_srcTableName"] = "AssegnatoHistorico";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "MARZA";
$proto29["m_columns"][] = "Totale1";
$proto29["m_columns"][] = "Totale2";
$proto29["m_columns"][] = "Totale3";
$proto29["m_columns"][] = "Totale4";
$proto29["m_columns"][] = "Totale5";
$proto29["m_columns"][] = "Totale6";
$proto29["m_columns"][] = "Totale7";
$proto29["m_columns"][] = "Totale8";
$proto29["m_columns"][] = "Totale9";
$proto29["m_columns"][] = "Totale10";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "AssegnatoHistorico";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "AssegnatoHistorico";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="AssegnatoHistorico";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_assegnatohistorico = createSqlQuery_assegnatohistorico();


	
		;

											

$tdataassegnatohistorico[".sqlquery"] = $queryData_assegnatohistorico;

$tableEvents["AssegnatoHistorico"] = new eventsBase;
$tdataassegnatohistorico[".hasEvents"] = false;

?>